<div id="tab-root" *ngIf="content.length > 0" [style.min-height.px]="minHeight">
  <!--  In setting and unsetting animation attributes, via play field, a one-time play and stop effect is achieved -->
  <div id="img-wrapper" [class]="(play == null ? '' : play ? 'play-anim' : 'stop-anim')">
    <img [src]="content[selectedItem].link">
  </div>

  <div id="text-wrapper" [class]="(play == null ? '' : play ? 'play-anim' : 'stop-anim')">
    <h1>{{content[selectedItem].title}}</h1>

    <ul>
      <li *ngFor="let p of content[selectedItem].points">{{p}}</li>
    </ul>
  </div>

  <div id="anim-ctrl-wrapper">
    <div class="anim-ctrl-container">
      <div *ngFor="let c of content; index as i;"
           [ngClass]="'tab ' + (i === selectedItem ? ' selected-tab ' : ' normal-tab')"
           (click)="setSelectedItem(i) ">
      </div>

      <div class="fab-container">
        <button id="fab" mat-mini-fab (click)="manualControl()">
          <mat-icon [svgIcon]="manualPlay ? 'play' : 'pause'"></mat-icon>
        </button>
      </div>
    </div>
  </div>
</div>
